# Tasks Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/tasks/

Schema for the `Tasks` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The task's unique identifier
- **`subject`** _(string)_
  The task's subject
- **`content`** _(string)_
  The task's content
- **`type`** _(object)_
  The task's type
  - **`id`** _(string)_
    The type's unique identifier
  - **`name`** _(string)_
    The type's name
- **`owner`** _(object)_
  The task's owner
  - **`id`** _(string)_
    The owner's unique identifier
  - **`name`** _(string)_
    The owner's name
- **`account`** _(object)_
  The task's account
  - **`id`** _(string)_
    The account's unique identifier
- **`contact`** _(array<object>)_
  The task's contact
  - **`id`** _(string)_
    The contact's unique identifier
  - **`name`** _(string)_
    The contact's name
- **`opportunity`** _(array<object>)_
  The task's opportunity
  - **`id`** _(string)_
    The opportunity's unique identifier
  - **`name`** _(string)_
    The opportunity's name
- **`lead`** _(array<object>)_
  The task's lead
  - **`id`** _(string)_
    The lead's unique identifier
  - **`name`** _(string)_
    The lead's name
- **`completed_at`** _(string)_
  The date and time of the task's completion
- **`due_date`** _(string)_
  The date and time of the task's due date
- **`status`** _(string)_
  The task's status
  Allowed: `open`, `completed`
- **`created_at`** _(string)_
  The date and time of the task's creation
- **`updated_at`** _(string)_
  The date and time of the task's last update
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`urls`** _(array<object>)_
  The task's urls
  - **`url`** _(string)_
    The task's URL
  - **`type`** _(string)_
    The task's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/tasks](/docs/api-reference/unified-crm-api/tasks/list) — List Tasks
- [POST /unified/crm/tasks](/docs/api-reference/unified-crm-api/tasks/create) — Create Tasks
- [GET /unified/crm/tasks/{id}](/docs/api-reference/unified-crm-api/tasks/get) — Get Tasks
- [DELETE /unified/crm/tasks/{id}](/docs/api-reference/unified-crm-api/tasks/delete) — Delete Tasks
- [PATCH /unified/crm/tasks/{id}](/docs/api-reference/unified-crm-api/tasks/update) — Update Tasks
